Justin C. Walker on Wed, 14 Jun 2006 18:00:59 +0200

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: Bus error in GP:

On Jun 14, 2006, at 03:15 , Bill Allombert wrote:

On Tue, Jun 13, 2006 at 06:32:58PM -0700, Justin C. Walker wrote:
Could you try to build PARI with a (non-Apple modified) gcc build ?

If you mean to figure out how to build an up-to-date GCC from FSF, that is asking a lot :-}. Do you want me to try to build on Mac OS X with a non-Apple GCC? I don't even know that that will work.

FWIW, both of the 2.3 versions were built as part of SAGE.  I have
not yet built the release version of GP on its own.

Unfortunately the only darwin box I have access to is down until the
air cooling system of the server room is fixed...

I just tried a home-built GP 2.3.0, and it does not exhibit the problem. One big difference between the SAGE-built GP and the home- built version is the use of GMP: SAGE uses GMP 4.2; my version uses GMP 4.1.4.

I'll explore further.



Justin C. Walker, Curmudgeon-At-Large
Institute for the Enhancement of the Director's Income
"Weaseling out of things is what separates us from the animals.
 Well, except the weasel."
      - Homer J Simpson